package com.contabilidad.EntConta;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "con_detalle_catalogo_cuentas", schema = "dbcontabilidad")
public class DetalleCatalogoCuentas implements Serializable {

    @Id
    @Column(name = "id_detalle_catalogo_cuentas")
    private Integer idDetalleCatalogoCuentas;

    @Column(name = "numero_cuenta")
    private String numeroCuenta;

    @Column(name = "cargo")
    private BigDecimal cargo;

    @Column(name = "abono")
    private BigDecimal abono;

    @Column(name = "balance")
    private BigDecimal balance;

    @Column(name = "fecha_creado")
    private Date fechaCreado;

    @Column(name = "fecha_actualizacion")
    private Date fechaActualizacion;

    @Column(name = "mes_anio")
    private String mesAnio;


    public Integer getIdDetalleCatalogoCuentas() {
        return idDetalleCatalogoCuentas;
    }

    public void setIdDetalleCatalogoCuentas(Integer idDetalleCatalogoCuentas) {
        this.idDetalleCatalogoCuentas = idDetalleCatalogoCuentas;
    }

    public String getNumeroCuenta() {
        return numeroCuenta;
    }

    public void setNumeroCuenta(String numeroCuenta) {
        this.numeroCuenta = numeroCuenta;
    }

    public BigDecimal getCargo() {
        return cargo;
    }

    public void setCargo(BigDecimal cargo) {
        this.cargo = cargo;
    }

    public BigDecimal getAbono() {
        return abono;
    }

    public void setAbono(BigDecimal abono) {
        this.abono = abono;
    }

    public BigDecimal getBalance() {
        return balance;
    }

    public void setBalance(BigDecimal balance) {
        this.balance = balance;
    }

    public Date getFechaCreado() {
        return fechaCreado;
    }

    public void setFechaCreado(Date fechaCreado) {
        this.fechaCreado = fechaCreado;
    }

    public Date getFechaActualizacion() {
        return fechaActualizacion;
    }

    public void setFechaActualizacion(Date fechaActualizacion) {
        this.fechaActualizacion = fechaActualizacion;
    }

    public String getMesAnio() {
        return mesAnio;
    }

    public void setMesAnio(String mesAnio) {
        this.mesAnio = mesAnio;
    }

    public DetalleCatalogoCuentas() {
    }
}
